<docs-decorative-header title="Angular Routing" imgSrc="adev/src/assets/images/routing.svg"> <!-- markdownlint-disable-line -->
Routing helps you change what the user sees in a single-page app.
</docs-decorative-header>

In a single-page app, you change what the user sees by showing or hiding portions of the display that correspond to particular components, rather than going out to the server to get a new page.

As users perform application tasks, they need to move between the different views that you have defined.

To handle the navigation from one view to the next, you use the Angular **`Router`**.
The **`Router`** enables navigation by interpreting a browser URL as an instruction to change the view.

## Learn about Angular routing

<docs-card-container>
  <docs-card title="Common routing tasks" href="guide/routing/common-router-tasks">
    Learn how to implement many of the common tasks associated with Angular routing.
  </docs-card>
  <docs-card title="Routing SPA tutorial" href="guide/routing/router-tutorial">
    A tutorial that covers patterns associated with Angular routing.
  </docs-card>
  <docs-card title="Creating custom route matches tutorial" href="guide/routing/routing-with-urlmatcher">
    A tutorial that covers how to use custom matching strategy patterns with Angular routing.
  </docs-card>
  <docs-card title="Router reference" href="guide/routing/router-reference">
    Describes some core router API concepts.
  </docs-card>
</docs-card-container>
